## kopete 4.13.3

=== libkopete/CMakeLists.txt ===
add_definitions(-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

include(CheckIncludeFile)
check_include_file(valgrind/valgrind.h HAVE_VALGRIND_H)
if(HAVE_VALGRIND_H)
  add_definitions(-DHAVE_VALGRIND_H)
endif(HAVE_VALGRIND_H)

add_subdirectory( private )
if(NOT DISABLE_VIDEOSUPPORT)
  add_subdirectory( avdevice )
endif(NOT DISABLE_VIDEOSUPPORT)
add_subdirectory( tests )

include_directories( ${KOPETE_INCLUDES} )

########### next target ###############

set(kopete_private_SRCS
  private/kopeteemoticons.cpp
  private/kopeteutils_private.cpp
  private/kopeteviewmanager.cpp
  private/kopeteactivenotification.cpp
)

if (Q_WS_X11)
 if (X11_Xss_FOUND)
  set(kopete_private_SRCS ${kopete_private_SRCS} private/kopeteidleplatform_x11.cpp )
 else (X11_Xss_FOUND)
  set(kopete_private_SRCS ${kopete_private_SRCS} private/kopeteidleplatform_dummy.cpp )
 endif (X11_Xss_FOUND)
endif (Q_WS_X11)
if (Q_WS_MAC)
 set(kopete_private_SRCS ${kopete_private_SRCS} private/kopeteidleplatform_mac.cpp )
endif (Q_WS_MAC)
if (Q_WS_WIN)
 set(kopete_private_SRCS ${kopete_private_SRCS} private/kopeteidleplatform_win.cpp )
endif (Q_WS_WIN)

set(kopete_ui_SRCS
  ui/accountselector.cpp
  ui/addcontactpage.cpp
  ui/addressbooklinkwidget.cpp
  ui/addressbookselectordialog.cpp
  ui/addressbookselectorwidget.cpp
  ui/addresseeitem.cpp
  ui/avatardialog.cpp
  ui/avatarwebcamdialog.cpp
  ui/avatarselectorwidget.cpp
  ui/contactaddednotifydialog.cpp
  ui/collapsiblewidget.cpp
  ui/editaccountwidget.cpp
  ui/kopetecontactaction.cpp
  ui/kopeteinfodialog.cpp
  ui/kopetelistview.cpp
  ui/kopetelistviewitem.cpp
  ui/kopetelistviewsearchline.cpp
  ui/kopetepasswordwidget.cpp
  ui/kopetestdaction.cpp
  ui/kopeteview.cpp
  ui/kopeteviewplugin.cpp
  ui/metacontactselectorwidget.cpp
  ui/webcamwidget.cpp
)

set(kopete_contactlist_SRCS
  contactlist/kopetecontactliststorage.cpp
  contactlist/xmlcontactstorage.cpp
)

set(kopete_tasks_SRCS
  tasks/kopetetask.cpp
  tasks/kopetecontacttaskbase.cpp
  tasks/kopetedeletecontacttask.cpp
)

set(kopete_LIB_SRCS
   ${kopete_private_SRCS}
   ${kopete_ui_SRCS}
   ${kopete_contactlist_SRCS}
   ${kopete_tasks_SRCS}
   kabcpersistence.cpp
   kopeteaccount.cpp
   kopeteaccountmanager.cpp
   kopeteavatarmanager.cpp
   kopeteblacklister.cpp
   kopetechatsession.cpp
   kopetechatsessionmanager.cpp
   kopetecommand.cpp
   kopetecommandhandler.cpp
   kopetecontact.cpp
   kopetecontactlist.cpp
   kopetecontactlistelement.cpp
   kopeteproperty.cpp
   kopeteglobal.cpp
   kopetegroup.cpp
   kopeteidentity.cpp
   kopeteidentitymanager.cpp
   kopetemessage.cpp
   kopetemessageevent.cpp
   kopetemessagehandlerchain.cpp
   kopetemessagehandler.cpp
   kopetemetacontact.cpp
   kopetefileengine.cpp
   kopetemimetypehandler.cpp
   kopeteonlinestatus.cpp
   kopeteonlinestatusmanager.cpp
   kopetepassword.cpp
   kopetepasswordedaccount.cpp
   kopetepicture.cpp
   kopeteplugin.cpp
   kopetepluginmanager.cpp
   kopeteproperties.cpp
   kopetepropertycontainer.cpp
   kopeteprotocol.cpp
   kopetesimplemessagehandler.cpp
   kopetestatusmessage.cpp
   kopetetransfermanager.cpp
   kopeteuiglobal.cpp
   kopeteutils.cpp
   kopetewalletmanager.cpp
   networkstatuscommon.h
   chatsessionmemberslistmodel.cpp
   kopetestatusmanager.cpp
   kopetestatusitems.cpp
   kopeteidletimer.cpp
   kopeteinfoeventmanager.cpp
   kopeteinfoevent.cpp
   kopeteaddedinfoevent.cpp
   kopetesockettimeoutwatcher.cpp
# REMOVED FOR NOW
#   connectionmanager.cpp
#   managedconnectionaccount.cpp

)

kde4_add_ui_files(kopete_LIB_SRCS
 ui/addressbooklinkwidget_base.ui
 ui/addressbookselectorwidget_base.ui
 ui/avatarselectorwidget.ui
 ui/contactaddednotifywidget.ui
 ui/kopeteawaydialogbase.ui
 ui/kopetepasswordwidgetbase.ui
 ui/metacontactselectorwidget_base.ui
)

kde4_add_kcfg_files(kopete_LIB_SRCS GENERATE_MOC
  kopeteappearancesettings.kcfgc
  kopetebehaviorsettings.kcfgc
  kopetestatussettings.kcfgc
  )

kde4_add_library(kopete SHARED ${kopete_LIB_SRCS})

target_link_libraries(kopete ${KDE4_KEMOTICONS_LIBS} ${KDE4_KCMUTILS_LIBS} ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KABC_LIBS} ${KDE4_SOLID_LIBS} ${X11_LIBRARIES})
if(NOT DISABLE_VIDEOSUPPORT)
    target_link_libraries(kopete kopete_videodevice)
endif(NOT DISABLE_VIDEOSUPPORT)

if(Q_WS_X11 AND X11_Xss_FOUND)
   target_link_libraries(kopete ${X11_Xss_LIB})
endif(Q_WS_X11 AND X11_Xss_FOUND)

set_target_properties(kopete PROPERTIES
    VERSION ${GENERIC_LIB_VERSION}
    SOVERSION ${GENERIC_LIB_SOVERSION}
    )
if(MSVC)
  set_target_properties(kopete PROPERTIES
      OUTPUT_NAME libkopete
      )
endif(MSVC)
install(TARGETS kopete ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

install(FILES
 ${CMAKE_CURRENT_BINARY_DIR}/ui_kopeteawaydialogbase.h
 ${CMAKE_CURRENT_BINARY_DIR}/ui_kopetepasswordwidgetbase.h
 ui/accountselector.h
 ui/addcontactpage.h
 ui/addressbookselectordialog.h
 ui/addressbookselectorwidget.h
 ui/avatardialog.h
 ui/avatarselectorwidget.h
 ui/contactaddednotifydialog.h
 ui/editaccountwidget.h
 ui/kopetecontactaction.h
 ui/kopeteinfodialog.h
 ui/kopetelistview.h
 ui/kopetelistviewitem.h
 ui/kopetelistviewsearchline.h
 ui/kopetepasswordwidget.h
 ui/kopetestdaction.h
 ui/kopeteview.h
 ui/kopeteviewplugin.h
DESTINATION ${INCLUDE_INSTALL_DIR}/kopete/ui COMPONENT Devel )


install( FILES
  kopeteappearancesettings.kcfg
  kopetebehaviorsettings.kcfg
  kopetestatussettings.kcfg
DESTINATION ${KCFG_INSTALL_DIR})

install( FILES kopetecommandui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete)
install( FILES kopeteplugin.desktop kopeteprotocol.desktop kopeteui.desktop  DESTINATION ${SERVICETYPES_INSTALL_DIR})

install( FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kopeteappearancesettings.h
  ${CMAKE_CURRENT_BINARY_DIR}/kopetebehaviorsettings.h
  ${CMAKE_CURRENT_BINARY_DIR}/kopetestatussettings.h
  kabcpersistence.h
  kopeteaccount.h
  kopeteaccountmanager.h
  kopeteaddedinfoevent.h
  kopeteavatarmanager.h
  kopeteblacklister.h
  kopetechatsession.h
  kopetechatsessionmanager.h
  kopetecommand.h
  kopetecommandhandler.h
  kopetecontact.h
  kopetecontactlistelement.h
  kopetecontactlist.h
  kopeteproperty.h
  kopete_export.h
  kopeteglobal.h
  kopetegroup.h
  kopeteidentity.h
  kopeteidentitymanager.h
  kopeteinfoevent.h
  kopetemessageevent.h
  kopetemessage.h
  kopetemessagehandlerchain.h
  kopetemessagehandler.h
  kopetemetacontact.h
  kopetemimetypehandler.h
  kopeteonlinestatus.h
  kopeteonlinestatusmanager.h
  kopetepasswordedaccount.h
  kopetepassword.h
  kopetepicture.h
  kopeteplugin.h
  kopetepluginmanager.h
  kopeteprotocol.h
  kopetepropertycontainer.h
  kopetesimplemessagehandler.h
  kopetestatusmessage.h
  kopetetransfermanager.h
  kopeteuiglobal.h
  kopeteutils.h
  kopeteversion.h
  kopetestatusmanager.h
  tasks/kopetetask.h
  tasks/kopetecontacttaskbase.h
  tasks/kopetedeletecontacttask.h
  private/kopeteemoticons.h
DESTINATION ${INCLUDE_INSTALL_DIR}/kopete COMPONENT Devel)

install( FILES org.kde.kopete.Client.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

=== sounds/CMakeLists.txt ===

install( FILES Kopete_Event.ogg Kopete_Received.ogg Kopete_Sent.ogg Kopete_User_is_Online.ogg  DESTINATION ${SOUND_INSTALL_DIR})

=== plugins/history/CMakeLists.txt ===

include_directories( 
${KOPETE_INCLUDES} 
)


########### next target ###############

set(kopete_history_PART_SRCS 
   historyplugin.cpp 
   historydialog.cpp 
   historylogger.cpp 
   converter.cpp 
   historyguiclient.cpp
   historyimport.cpp )

kde4_add_ui_files(kopete_history_PART_SRCS historyviewer.ui )

kde4_add_kcfg_files(kopete_history_PART_SRCS historyconfig.kcfgc )


kde4_add_plugin(kopete_history ${kopete_history_PART_SRCS})


target_link_libraries(kopete_history  ${KDE4_KHTML_LIBS} kopete )

install(TARGETS kopete_history  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_history_PART_SRCS historypreferences.cpp )

kde4_add_ui_files(kcm_kopete_history_PART_SRCS historyprefsui.ui )

kde4_add_kcfg_files(kcm_kopete_history_PART_SRCS historyconfig.kcfgc )


kde4_add_plugin(kcm_kopete_history ${kcm_kopete_history_PART_SRCS})


target_link_libraries(kcm_kopete_history  ${KDE4_KUTILS_LIBS} kopete )

install(TARGETS kcm_kopete_history  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES historyconfig.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES kopete_history.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES historyui.rc  historychatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete_history)
install( FILES kopete_history_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== plugins/otr/CMakeLists.txt ===
add_subdirectory(icons)

include_directories(${LIBOTR_INCLUDE_DIR} ${KOPETE_INCLUDES})

########### next target ###############

set(kopete_otr_PART_SRCS otrguiclient.cpp otrplugin.cpp)

kde4_add_kcfg_files(kopete_otr_PART_SRCS kopete_otr.kcfgc)

kde4_add_plugin(kopete_otr ${kopete_otr_PART_SRCS})

target_link_libraries(kopete_otr ${KDE4_KDEUI_LIBS} kopete kopete_otr_shared ${LIBOTR_LIBRARY})

install(TARGETS kopete_otr DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set(kcm_kopete_otr_PART_SRCS otrpreferences.cpp)

kde4_add_ui_files(kcm_kopete_otr_PART_SRCS otrprefs.ui)

kde4_add_kcfg_files(kcm_kopete_otr_PART_SRCS ${kotr_PART_SRCS} kopete_otr.kcfgc)

kde4_add_plugin(kcm_kopete_otr ${kcm_kopete_otr_PART_SRCS})

target_link_libraries(kcm_kopete_otr ${KDE4_KDEUI_LIBS} kopete kopete_otr_shared ${LIBOTR_LIBRARY})

install(TARGETS kcm_kopete_otr DESTINATION ${PLUGIN_INSTALL_DIR})

########### next target ###############

set(kopete_otr_shared_LIB_SRCS
    otrlchatinterface.cpp
    otrlconfinterface.cpp
    authenticationwizard.cpp
    privkeypopup.cpp)

kde4_add_ui_files(kopete_otr_shared_LIB_SRCS privkeypopup.ui)

kde4_add_library(kopete_otr_shared SHARED ${kopete_otr_shared_LIB_SRCS})

target_link_libraries(kopete_otr_shared kopete ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${LIBOTR_LIBRARY})

set_target_properties(kopete_otr_shared PROPERTIES VERSION 1.0.0 SOVERSION 1)
install(TARGETS kopete_otr_shared ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES kopete_otr.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES kopete_otr.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES otrchatui.rc otrui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_otr)
install(FILES kopete_otr_config.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== plugins/texteffect/CMakeLists.txt ===

add_subdirectory( icons ) 

include_directories( 
${KOPETE_INCLUDES} 
)


########### next target ###############

set(kopete_texteffect_PART_SRCS texteffectplugin.cpp texteffectconfig.cpp )

kde4_add_plugin(kopete_texteffect ${kopete_texteffect_PART_SRCS})


target_link_libraries(kopete_texteffect  ${KDE4_KDEUI_LIBS} kopete )

install(TARGETS kopete_texteffect  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_texteffect_PART_SRCS texteffectconfig.cpp texteffectpreferences.cpp )

kde4_add_ui_files(kcm_kopete_texteffect_PART_SRCS texteffectprefs.ui )


kde4_add_plugin(kcm_kopete_texteffect ${kcm_kopete_texteffect_PART_SRCS})


target_link_libraries(kcm_kopete_texteffect  ${KDE4_KUTILS_LIBS} ${KDE4_KDE3SUPPORT_LIBS} kopete )

install(TARGETS kcm_kopete_texteffect  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_texteffect.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES kopete_texteffect_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== protocols/oscar/CMakeLists.txt ===

add_subdirectory( liboscar )
add_subdirectory( aim )
add_subdirectory( icq )
add_subdirectory( icons )

include_directories(
${KOPETE_INCLUDES}
${CMAKE_CURRENT_SOURCE_DIR}/liboscar/
${CMAKE_CURRENT_SOURCE_DIR}/liboscar/utils
${CMAKE_CURRENT_SOURCE_DIR}/liboscar/tasks
)


########### next target ###############

set(kopete_oscar_LIB_SRCS
   oscarprotocol.cpp
   oscaraccount.cpp
   oscarcontact.cpp
   oscarmyselfcontact.cpp
   oscarencodingselectiondialog.cpp
   oscarlistnonservercontacts.cpp
   oscarversionupdater.cpp
   oscarprivacyengine.cpp
   aimcontactbase.cpp
   icqcontactbase.cpp
   oscarpresence.cpp
   oscarpresencesdataclasses.cpp
   oscarstatusmanager.cpp
   nscainfoevent.cpp)

kde4_add_ui_files(kopete_oscar_LIB_SRCS
   oscarencodingselectionbase.ui
   oscarlistcontactsbase.ui
)

kde4_add_library(kopete_oscar SHARED ${kopete_oscar_LIB_SRCS})

target_link_libraries(kopete_oscar ${KDE4_KIO_LIBS} kopete oscar)

set_target_properties(kopete_oscar PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kopete_oscar ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

=== protocols/skype/CMakeLists.txt ===
project( kopete_skype )

########### next target ###############

include_directories(
	${QT_QTDBUS_INCLUDE_DIR}

	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}/libskype
	${CMAKE_CURRENT_SOURCE_DIR}/libskype/skypedbus
	${CMAKE_CURRENT_SOURCE_DIR}/skypebuttons
	${CMAKE_CURRENT_SOURCE_DIR}/skypebuttons/qtbrowserplugin

	${CMAKE_CURRENT_BUILD_DIR}
)

add_definitions(-DSKYPE_DEBUG_GLOBAL=14311)

########### next target ###############

set(
	skypedbus_SRCS
	libskype/skypedbus/skypeconnection.cpp
)

QT4_ADD_DBUS_ADAPTOR(
	skypedbus_SRCS
	libskype/skypedbus/com.Skype.API.Client.xml
	libskype/skypedbus/skypeconnection.h
	SkypeConnection
	skypeadaptor
	SkypeAdaptor
)

set(
	libskype_SRCS

	libskype/skype.cpp
	libskype/skypewindow.cpp
)

set(
	kopete_skype_ui_SRCS
)

kde4_add_ui_files(
	kopete_skype_ui_SRCS
	ui/skypeaddcontactbase.ui
	ui/skypecalldialogbase.ui
	ui/skypedetailsbase.ui
	ui/skypeeditaccountbase.ui
)

set(
	kopete_skype_SRCS
	${skypedbus_SRCS}
	${libskype_SRCS}
	${kopete_skype_ui_SRCS}
	skypeaccount.cpp
	skypeaddcontact.cpp
	skypecalldialog.cpp
#	skypeconference.cpp
	skypecontact.cpp
	skypedetails.cpp
	skypeeditaccount.cpp
	skypechatsession.cpp
	skypeprotocol.cpp
)

kde4_add_plugin(
	kopete_skype
	${kopete_skype_SRCS}
)

target_link_libraries(
	kopete_skype
	kopete
	${KDE4_KDEUI_LIBS}
	${X11_X11_LIB}
)

########### next target ###############

add_subdirectory( icons )
macro_optional_add_subdirectory( skypebuttons )

########### install files ###############

install( TARGETS kopete_skype DESTINATION ${PLUGIN_INSTALL_DIR} )
install( FILES kopete_skype.desktop skype.protocol callto.protocol tel.protocol DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES skypeui.rc skypechatui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_skype )

#Enable this for system bus dbus type communication with skype public api
#Linux skype client (version 2.0.0.72) still does not support it, so we do not need it now maybe in new skype version
#if (DBUS_SYSTEM_POLICY_DIR)
#	install( FILES libskype/skypedbus/com.Skype.API.Client.conf DESTINATION ${DBUS_SYSTEM_POLICY_DIR})
#else (DBUS_SYSTEM_POLICY_DIR)
#	message(STATUS "It is necessary to specify the directory where the client policy file for com.Skype.API.Client.conf is installed as DBUS_SYSTEM_POLICY_DIR.  Normally this is /etc/dbus-1/system.d on a Linux system")
#endif (DBUS_SYSTEM_POLICY_DIR)

=== protocols/testbed/CMakeLists.txt ===
add_subdirectory( icons ) 

include_directories( 
${KOPETE_INCLUDES} 
${CMAKE_CURRENT_SOURCE_DIR}/ui/ 
)


########### next target ###############

set(kopete_testbed_PART_SRCS 
   testbedprotocol.cpp 
   testbedcontact.cpp 
   testbedaccount.cpp 
   testbedaddcontactpage.cpp 
   testbededitaccountwidget.cpp 
   testbedfakeserver.cpp 
   testbedincomingmessage.cpp 
   ui/testbedwebcamdialog.cpp 
)

kde4_add_ui_files(kopete_testbed_PART_SRCS
testbedaddui.ui
)

kde4_add_ui_files(kopete_testbed_PART_SRCS
testbedaccountpreferences.ui
)

kde4_add_plugin(kopete_testbed ${kopete_testbed_PART_SRCS})


target_link_libraries(kopete_testbed ${KDE4_KIO_LIBS} kopete)
if(NOT DISABLE_VIDEOSUPPORT)
  target_link_libraries(kopete_testbed kopete_videodevice)
endif(NOT DISABLE_VIDEOSUPPORT)

install(TARGETS kopete_testbed  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_testbed.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== protocols/winpopup/CMakeLists.txt ===

#add_subdirectory( ui ) 
add_subdirectory( icons ) 

include_directories( 
${KOPETE_INCLUDES} 
${CMAKE_CURRENT_SOURCE_DIR}/libwinpopup/ 
)


########### next target ###############

set(kopete_wp_ui_SRCS)

kde4_add_ui_files(kopete_wp_ui_SRCS 
ui/wpaddcontactbase.ui 
ui/wpuserinfowidget.ui 
ui/wpeditaccountbase.ui 
)

set(libwinpopup_SRCS 
libwinpopup/libwinpopup.cpp 
)

set(kopete_wp_PART_SRCS 
   ${kopete_wp_ui_SRCS} 
   ${libwinpopup_SRCS} 
   wpprotocol.cpp 
   wpcontact.cpp 
   wpaddcontact.cpp 
   wpeditaccount.cpp 
   wpaccount.cpp 
   wpuserinfo.cpp )


kde4_add_plugin(kopete_wp ${kopete_wp_PART_SRCS})


target_link_libraries(kopete_wp  ${KDE4_KIO_LIBS} kopete )

install(TARGETS kopete_wp  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_wp.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install(PROGRAMS winpopup-send winpopup-install  DESTINATION ${BIN_INSTALL_DIR})

=== kopete/chatwindow/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )




########### next target ###############
set(kopetetabwidgettest_SRCS kopetetabwidgettest.cpp )



kde4_add_executable(kopetetabwidgettest TEST ${kopetetabwidgettest_SRCS})

target_link_libraries(kopetetabwidgettest  ${KDE4_KDECORE_LIBS} kopetechatwindow )


########### install files ###############

=== kopete/config/behavior/CMakeLists.txt ===

include_directories( ${KOPETE_INCLUDES} )


########### next target ###############

set(kcm_kopete_behaviorconfig_PART_SRCS
   behaviorconfig.cpp 
   behaviorconfig_chat.cpp 
   behaviorconfig_events.cpp 
   behaviorconfig_general.cpp 
   behaviorconfig_away.cpp 
   )

kde4_add_ui_files(kcm_kopete_behaviorconfig_PART_SRCS 
   behaviorconfig_chat.ui 
   behaviorconfig_events.ui 
   behaviorconfig_general.ui 
   behaviorconfig_away.ui
   )


kde4_add_plugin(kcm_kopete_behaviorconfig ${kcm_kopete_behaviorconfig_PART_SRCS})


target_link_libraries(kcm_kopete_behaviorconfig  ${KDE4_KUTILS_LIBS} kopete)

install(TARGETS kcm_kopete_behaviorconfig  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_behaviorconfig.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== kopete/config/status/CMakeLists.txt ===
include_directories( ${KOPETE_INCLUDES} )

########### next target ###############

set(kcm_kopete_statusconfig_PART_SRCS
    statusconfig.cpp
    statusconfig_manager.cpp
    statusconfig_general.cpp
    statusmodel.cpp
    )

kde4_add_ui_files(kcm_kopete_statusconfig_PART_SRCS
    statusconfig_manager.ui
    statusconfig_general.ui
)

kde4_add_plugin(kcm_kopete_statusconfig ${kcm_kopete_statusconfig_PART_SRCS})

target_link_libraries(kcm_kopete_statusconfig  ${KDE4_KUTILS_LIBS} ${QT_QTXML_LIBRARY} kopete)

install(TARGETS kcm_kopete_statusconfig  DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES kopete_statusconfig.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kopete (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:32:21 +0200

kopete (4:4.13.2-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1327591)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 18 Jun 2014 12:50:53 +0200

kopete (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1318142)

  [ Scott Kitterman ]
  * Update debian/not-installed since both google-talk and skype are supported
  * Add skype icons back to kopete.install*

  [ Rohan Garg ]
  * kopete should suggest imagemagick since the latex plugin
    requires it

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:53:27 +0200

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdepimlibs5-dev (>= 4:4.13.3), libsqlite3-dev, 
 libortp-dev, libspeex-dev, libqimageblitz-dev (>= 1:0.0.4),
 libqca2-dev (>= 2.0.0), libidn11-dev,
 libxml2-dev, libxslt1-dev, libmsn-dev (>= 4.1),
 libvncserver-dev (>= 0.9.8.1), 
 libssl-dev, libxss-dev, 
 libmediastreamer-dev, libmeanwhile-dev, libgadu-dev,
 libjasper-dev, libgif-dev, libotr5-dev, libjsoncpp-dev,
 libboost1.54-dev, libv4l-dev, libexpat1-dev, libsrtp0-dev,
 libasound2-dev, kdepim-dev (>= 4:4.13.3)
Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
Standards-Version: 3.9.4
Homepage: http://www.kde.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete

Package: libkopete4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite, kopete-message-indicator
Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base, imagemagick
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkopete4},
 ${misc:Depends}
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

Package: kopete-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kde-runtime-dbg, kopete (= ${binary:Version})
Recommends: kde-workspace-dbg
Breaks: kdenetwork-dbg
Replaces: kdenetwork-dbg
Description: debugging symbols for the KDE networking module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
no_jingle := arm64 powerpc ppc64el

.PHONY: override_dh_auto_test

override_dh_auto_configure:
ifneq (,$(filter $(DEB_HOST_ARCH),$(no_jingle)))
	$(overridden_command) -- -DWITH_GOOGLETALK=false
else
	$(overridden_command)
endif

override_dh_shlibdeps:
	$(overridden_command) -plibkopete4 -- -xkopete
	$(overridden_command) --remaining-packages

override_dh_strip:
	$(overridden_command) --dbg-package=kopete-dbg

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/kopete-([\d\.]*).tar.xz

## kopete 4.14.1

=== debian/changelog ===
kopete (4:4.14.1-2) unstable; urgency=medium

  * Team upload.
  * Remove (apparently unused) libgnutls-dev build dependency.
    (Closes: #764102)
  * Update copyright.
  * Change from googletalk-call to libjingle-call in the kfreebsd .install
    exclusion.
  * Update .install files.
  * Add an explicit kdelibs5-dev build dependency before kdepimlibs5-dev;
    this should help pulling phonon-backend-dummy as build dependency instead
    of a real backend, even if some library depends on phonon.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Oct 2014 17:33:19 +0200

kopete (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:40 +0200

kopete (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install file.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 06:25:21 +0200

kopete (4:4.13.3-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the libxss-dev build dependency, for enabling the idle time detection.

  [ Maximiliano Curia ]
  * New upstream release.
  * Suggest imagemagick, needed by the latex plugin. (Closes: 753322)
    Thanks to Jonathan Riddell.
  * Remove upstream applied patch: libjingle_unknown_architecture.diff

 -- Maximiliano Curia <maxy@debian.org>  Thu, 31 Jul 2014 16:02:49 +0200

kopete (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 14:11:17 +0200

kopete (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:39 +0200

kopete (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:40 +0100

kopete (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Remove patch: new_linphone.diff, fixed upstream.
  * Update build dependencies.
  * Update install files.
  * Update symbols files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:03 +0100

kopete (4:4.11.5-1) unstable; urgency=medium

  * New upstream release.

  [ Pino Toscano ]
  * Fix validity of copyright.

  [ Maximiliano Curia ]
  * Build the unit tests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.
  * Add abi-compliance-checker info.
  * Remove private header from installed files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 03 Feb 2014 18:41:43 +0100

=== debian/control ===
Source: kopete
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               kdepimlibs5-dev (>= 4:4.13.3-2),
               libasound2-dev (>= 1.0.14a) [linux-any],
               libboost-dev,
               libexpat-dev,
               libgadu-dev (>= 1.8.0),
               libgif-dev,
               libgpgme11-dev,
               libidn11-dev,
               libjasper-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libmeanwhile-dev,
               libmediastreamer-dev (>= 3.6),
               libmsn-dev (>= 4.1),
               libortp-dev (>= 0.13),
               libotr5-dev,
               libqca2-dev (>= 2.0.0),
               libqimageblitz-dev (>= 1:0.0.4),
               libsqlite3-dev,
               libsrtp0-dev,
               libssl-dev,
               libv4l-dev [linux-any],
               libxdamage-dev,
               libxml2-dev,
               libxslt1-dev,
               libxss-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               zlib1g-dev
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kopete.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kopete.git

Package: libkopete4
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kopete (= ${binary:Version})
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base, imagemagick
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:kdelibs5-dev:libkopete4}
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kopete-([\d.]+).tar.xz

## kopete 4.14.2

=== libkopete/avdevice/CMakeLists.txt ===

if (LIBV4L2_FOUND)
include_directories( 
${KOPETE_INCLUDES} 
${LIBV4L2_INCLUDE_DIR}
)
add_definitions(-DHAVE_LIBV4L2)
else (LIBV4L2_FOUND)
include_directories(
${KOPETE_INCLUDES}
)
endif (LIBV4L2_FOUND)

include(CheckIncludeFile)
check_include_file(linux/videodev.h HAVE_V4L)
if(HAVE_V4L)
add_definitions(-DHAVE_V4L)
endif(HAVE_V4L)

########### next target ###############

set(kopete_videodevice_LIB_SRCS 
   videodevice.cpp 
   videoinput.cpp 
   videodevicepool.cpp 
   bayer.cpp
   sonix_compress.cpp )

kde4_add_library(kopete_videodevice SHARED ${kopete_videodevice_LIB_SRCS})

if (LIBV4L2_FOUND)
target_link_libraries(kopete_videodevice ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_SOLID_LIBS} ${LIBV4L2_LIBRARY})
else (LIBV4L2_FOUND)
target_link_libraries(kopete_videodevice ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_SOLID_LIBS})
endif (LIBV4L2_FOUND)

set_target_properties(kopete_videodevice PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kopete_videodevice ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############


########### install files ###############

=== styles/Hacker/Contents/Resources/images/CMakeLists.txt ===

########### install files ###############

install( FILES background.png background2.png kopete.png state-sending.gif state-sending-white.gif state-error.png  DESTINATION ${DATA_INSTALL_DIR}/kopete/styles/Hacker/Contents/Resources/images)

=== debian/changelog ===
kopete (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 16:55:49 +0200

kopete (4:4.14.2-0ubuntu1~ubuntu14.10~ppa2) utopic; urgency=medium

  * New upstream release
  * Insert missing short license, and remove googletalk from the libjingle
    license paths as it no longer exists. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:54:41 -0700

kopete (4:4.14.1-0ubuntu2) utopic; urgency=medium

  * Add Keopatra depend for cryptography support.
  * Batch patch symbols.
  * Removed 3 #MISSING Kopete::Status::StatusItem::~StatusItem()
     - optional - gccinternal (gcc has been upgraded)
  * wrap-and-sort

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 09 Oct 2014 12:14:02 +0000

kopete (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:26:50 +0200

kopete (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:18:30 +0200

kopete (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:01:37 +0200

kopete (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:28:09 +0200

kopete (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release
  * google talk has been renamed libjingle, made necessary
    changes to install file.
  * Patched symbols with batchpatch, upstream says missing symbols are private

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 15:34:54 -0700

kopete (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * Add back conflicts on kopete-cryptography
  * Add back suggests on imagemagick needed by latex plugin

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Jun 2014 16:22:40 +0200

kopete (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, remaining changes:
    - debian/control:
      - Build against libboost1.55-dev
      - Build against libexpat1-dev instead of libexpat-dev
      - kopete recommends kopete-message-indicator
  * Drop libjingle_unknown_architecture.diff now fixed upstream
  * Drop build-dep on nepomuk-core-dev
  * Add missing file to kopete-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:41:56 +0100

kopete (4:4.13.1-2) UNRELEASED; urgency=medium

  [ Pino Toscano ]
  * Add the libxss-dev build dependency, for enabling the idle time detection.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 02 Jun 2014 22:33:18 +0200

kopete (4:4.13.0-0ubuntu5) utopic; urgency=medium

  [ Harald Sitter ]
  * Restore lost changelog entries from before kdenetwork split
  * Drop kubuntu_03_no_mediastreamer_in_wlm.diff
    This patch was originally introduced to prevent !main software from
    getting dragged in when kopete still lived in main and was on the Kubuntu
    ISO. Since kopete is no longer in main this is a non-issue.

  [ Jonathan Riddell ]
  * Add conflicts on obsolete kopete-cryptography

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 29 May 2014 16:57:19 +0100

kopete (4:4.13.0-0ubuntu3) utopic; urgency=medium

  * Build-depend on boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 21:36:06 +0100

kopete (4:4.13.0-0ubuntu2) utopic; urgency=medium

  [ Rohan Garg ]
  * kopete should suggest imagemagick since the latex plugin
    requires it

  [ Scott Kitterman ]
  * Update debian/not-installed since both google-talk and skype are supported
  * Add skype icons back to kopete.install*

 -- Scott Kitterman <scott@kitterman.com>  Sat, 03 May 2014 15:00:12 -0400

kdenetwork (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  [ Jonathan Riddell ]
  * Add missing build-depends on kde-workspace-dev and libtelepathy-qt4-dev
  * Update not-installed

  [ Rohan Garg ]
  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:26:38 +0100

kdenetwork (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge with Debian, remaining changes:
    - debian/control:
      - Build against libboost1.53-dev
      - Build against libexpat1-dev instead of libexpat-dev
      - kopete recommends kopete-message-indicator
    - debian/rules:
      - chown kppp to root:dialout instead of root:dip
    - debian/kopete.install: don't add usr/bin/googletalk-call
    - kdenetwork recommends qapt-batch
    - Do not install Skype™ plugin
  * Move libv4l-dev into build-conflicts, it causes a compile failure
    in saucy
  * Build with -DDISABLE_VIDEOSUPPORT=true due to compile failure with
    saucy v4l

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:34 +0000

kdenetwork (4:4.10.2+dfsg-0ubuntu1) raring; urgency=low

  * Do not install Skype™ plugin. (LP: #1163504)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 24 Apr 2013 16:02:14 +0100

kdenetwork (4:4.10.2-1) experimental; urgency=low

  * New upstream.
  * Update symbols file.
  * Update install files.
  * Bump build-deps
  * Temporarily remove kde-workspace build-dep to get the package built on
    autobuilders.

 -- Sune Vuorela <sune@debian.org>  Fri, 12 Apr 2013 21:32:12 +0000

kdenetwork (4:4.10.2-0ubuntu1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release

  [ Jonathan Riddell ]
  * Update kget.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:44:29 +0200

kdenetwork (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release
  * Add debian/patches/kubuntu_krfb_link_to_pthread.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 05 Mar 2013 15:33:10 +0000

kdenetwork (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release



=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kopete
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -10,19 +11,21 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
-               kdepimlibs5-dev (>= 4:4.13.3-2),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdepim-dev,
+               kdepimlibs5-dev (>= 4:4.14.2),
                libasound2-dev (>= 1.0.14a) [linux-any],
-               libboost-dev,
-               libexpat-dev,
+               libboost1.54-dev,
+               libexpat1-dev,
                libgadu-dev (>= 1.8.0),
                libgif-dev,
+               libgnutls-dev,
                libgpgme11-dev,
                libidn11-dev,
                libjasper-dev,
                libjpeg-dev,
                libjsoncpp-dev,
+               libkleo4,
                libmeanwhile-dev,
                libmediastreamer-dev (>= 3.6),
                libmsn-dev (>= 4.1),
@@ -44,8 +47,10 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kopete.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kopete.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kopete.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kopete.git
 
 Package: libkopete4
 Section: libs
@@ -66,8 +71,9 @@
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
-Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base, imagemagick
+Recommends: kopete-message-indicator, libqca2-plugin-ossl, libqt4-sql-sqlite
+Suggests: imagemagick, kdeartwork-emoticons, khelpcenter4, texlive-latex-base
+Conflicts: kopete-cryptography
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
  variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq ($(DEB_HOST_ARCH_OS),linux)
  CONFIGURE_ARGS += -DWITH_GOOGLETALK=false
endif

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- $(CONFIGURE_ARGS)

override_dh_install:
	grep -v googletalk-call debian/kopete.install > debian/kopete.install.kfreebsd
	$(overridden_command)

override_dh_clean:
	$(overridden_command)
	rm -f debian/kopete.install.kfreebsd

.PHONY: override_dh_auto_test

override_dh_shlibdeps:
	$(overridden_command) -plibkopete4 -- -xkopete
	$(overridden_command) --remaining-packages

## kopete 14.12.3

=== debian/changelog ===
kopete (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:40:56 -0700

kopete (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:10:19 -0800

kopete (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.
  * Remove kdepimlibs5-dev depend version as there was not a new release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:58:28 +0100

kopete (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release
  * Merge with Debian, remaining changes:
    - build-dep on libgnutls-dev
    - build-dep on libboost1.55-dev
    - build-dep on libkleo4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 28 Nov 2014 19:23:42 +0100

kopete (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Insert missing short license, and remove googletalk from the libjingle
    license paths as it no longer exists. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 05:54:41 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kopete
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -11,12 +10,13 @@
            Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.11),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
                kdepim-dev,
-               kdepimlibs5-dev (>= 4:4.14.2),
+               kdepimlibs5-dev,
                libasound2-dev (>= 1.0.14a) [linux-any],
-               libboost1.54-dev,
-               libexpat1-dev,
+               libboost1.55-dev,
+               libexpat-dev,
                libgadu-dev (>= 1.8.0),
                libgif-dev,
                libgnutls-dev,
@@ -47,10 +47,8 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kopete
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kopete.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kopete.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/kopete.git/
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/kopete.git
 
 Package: libkopete4
 Section: libs
@@ -71,9 +69,8 @@
 Section: net
 Architecture: any
 Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
-Recommends: kopete-message-indicator, libqca2-plugin-ossl, libqt4-sql-sqlite
-Suggests: imagemagick, kdeartwork-emoticons, khelpcenter4, texlive-latex-base
-Conflicts: kopete-cryptography
+Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
+Suggests: kdeartwork-emoticons, khelpcenter, texlive-latex-base, imagemagick
 Description: instant messaging and chat application
  Kopete is an instant messaging and chat application with support for a wide
  variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
